------------------------------------------------------------------------------------------
-- GlobalDE file
-- Written by Homeopatix
-- 26 january 2021
------------------------------------------------------------------------------------------
function CreateLocalizationInfo()
	Strings = {};

	------------------------------------------------------------------------------------------
	-- Deutsche --
	------------------------------------------------------------------------------------------
	Strings.PluginName = "WhereToPlay";
	Strings.PluginText = "Von Homeopatix";
	Strings.PluginEscEnable = "Escape-Taste aktiviert";
	Strings.PluginEscDesable = "Escape-Taste deaktiviert";
	Strings.PluginToggleOn = "Fenster umschWTPen ON";
	Strings.PluginToggleOff = "Fenster umschWTPen OFF";
	Strings.PluginEscIconOn = "Zeigen Sie das Symbol an";
	Strings.PluginEscIconOff = "Verstecke das Symbol";
	------------------------------------------------------------------------------------------
	-- help --
	------------------------------------------------------------------------------------------
	Strings.PluginHelp1 = "\n\nListe der Befehle:\n";
	Strings.PluginHelp2 = "/WTP help - Schaufenster help.\n";
	Strings.PluginHelp3 = "/WTP show - Schaufenster.\n";
	Strings.PluginHelp4 = "/WTP hide - verstecke das Fenster.\n";
	Strings.PluginHelp5 = "/WTP esc - Aktivieren oder deaktivieren Sie die Escape-Taste.\n";
	Strings.PluginHelp6 = "/WTP toggle - Fenster umschWTPen.\n";
	Strings.PluginHelp7 = "/WTP icon - Symbol ein-oder ausblenden.\n\n";
	Strings.PluginHelp8 = "Sie k\195\182nnen auf den Namen einer Region klicken, um die Karte der Region zu \195\182ffnen";
	Strings.PluginCloseButton = "Fenster schlie\195\159en";
	------------------------------------------------------------------------------------------
	-- zones --
	------------------------------------------------------------------------------------------
	ZonesNamesAndLevel = {
        zones1 = {mapHex = 0x41008137, texte = "Auenland", lvl = "1 - 15", souCat = false},
        zones2 = {mapHex =  0x4100812c, texte = "Ered Luin", lvl = "1 - 15", souCat = false},
        zones3 = {mapHex =  0x41008136, texte = "Breeland", lvl = "1 - 25, 30", souCat = false},
        zones4 = {mapHex =  0x41008136, texte = "Archet Dale, Combe, Staddle", lvl = "1 - 15", souCat = true},
        zones5 = {mapHex =  0x41008136, texte = "Breeland (norden), Nen Harn", lvl = "15 - 21", souCat = true},
		zones6 = {mapHex =  0x4110a842, texte = "The Great Barrow", lvl = "20 - 25", souCat = true},
        zones7 = {mapHex =  0x41008130, texte = "Einsame lande", lvl = "20 - 35", souCat = false},
        zones8 = {mapHex =  0x41008130, texte = "verlassene herberge", lvl = "18 - 23", souCat = true},
		zones9 = {mapHex =  0x41008130, texte = "Ost Guruth", lvl = "20 - 30", souCat = true},
		zones10 = {mapHex =  0x41008130, texte = "Garth Agarwen", lvl = "31 - 35", souCat = true},
		zones11 = {mapHex = 0x41008132, texte = "Nordh\195\182hen", lvl = "20 - 35", souCat = false},
		zones12 = {mapHex = 0x41008132, texte = "Esteld\195\173n (west)", lvl = "20 - 25", souCat = true},
		zones13 = {mapHex = 0x41008132, texte = "Esteld\195\173n (ost)", lvl = "25 - 35", souCat = true},
		zones14 = {mapHex = 0x41008132, texte = "Fornost", lvl = "25 - 35", souCat = true},
		zones15 = {mapHex = 0x4101f084, texte = "Evendim", lvl = "30 - 40", souCat = false},
		zones16 = {mapHex = 0x4100812e, texte = "Trollh\195\182hen", lvl = "35 - 40", souCat = false},
		zones17 = {mapHex = 0x4100812f, texte = "Nebel-Gebirge", lvl = "40 - 45", souCat = false},
		zones18 = {mapHex = 0x41008131, texte = "Angmar", lvl = "40 - 50", souCat = false},
		zones19 = {mapHex = 0x410e3f46, texte = "Forochel", lvl = "44 - 50", souCat = false},
		zones20 = {mapHex =  0x4120c7c8, texte = "Des Wildwald", lvl = "45 - 50", souCat = false},
		zones21 = {mapHex =  0x410e8686, texte = "Eregion", lvl = "48 - 53", souCat = false},
		zones22 = {mapHex =  0x410e8708, texte = "Moria", lvl = "51 - 60", souCat = false},
		zones23 = {mapHex =  0x410e871c, texte = "Die Grossbinge", lvl = "51", souCat = true},
		zones24 = {mapHex =  0x410e8719, texte = "Die Silberzinne-Abern", lvl = "52", souCat = true},
		zones25 = {mapHex =  0x410e871d, texte = "Durins weg", lvl = "53", souCat = true},
		zones26 = {mapHex =  0x410e871e, texte = "Zirakzigil", lvl = "53 - 54", souCat = true},
		zones27 = {mapHex =  0x410e8717, texte = "Das wasser-werk", lvl = "54", souCat = true},
		zones28 = {mapHex =  0x410e871b, texte = "Zelem-Melek", lvl = "55", souCat = true},
		zones29 = {mapHex =  0x410e8718, texte = "Rothorn-Adern", lvl = "56", souCat = true},
		zones30 = {mapHex =  0x410e8716, texte = "Lodernde tiefen", lvl = "57", souCat = true},
		zones31 = {mapHex =  0x410e871a, texte = "Nud-melek", lvl = "58", souCat = true},
		zones32 = {mapHex =  0x410e8715, texte = "Stein-Fundament", lvl = "59", souCat = true},
		zones33 = {mapHex =  0x410e8707, texte = "Lothl\195\179rien", lvl = "60", souCat = false},
		zones34 = {mapHex =  0x41100DF2, texte = "D\195\188sterwald", lvl = "61 - 65", souCat = false},
		zones35 = {mapHex =  0x411041a4, texte = "Enedwaith", lvl = "61 - 65", souCat = false},
		zones36 = {mapHex =  0x4111961d, texte = "Dunland", lvl = "65 - 75", souCat = false},
		zones37 = {mapHex =  0x4111961d, texte = "Trum Dreng", lvl = "66", souCat = true},
		zones38 = {mapHex =  0x4111961d, texte = "Knochental", lvl = "66", souCat = true},
		zones39 = {mapHex =  0x4111961d, texte = "Pren Gwydh", lvl = "67", souCat = true},
		zones40 = {mapHex =  0x4111b941, texte = "T\195\162l Methedras", lvl = "68 - 72", souCat = true},
		zones41 = {mapHex =  0x4111961d, texte = "\195\182dmoor", lvl = "69 - 71", souCat = true},
		zones42 = {mapHex =  0x4111961d, texte = "Dunmoor", lvl = "70", souCat = true},
		zones43 = {mapHex =  0x4111961d, texte = "Carreglyn", lvl = "71", souCat = true},
		zones44 = {mapHex =  0x4111961d, texte = "Trauer h\195\182hen", lvl = "72", souCat = true},
		zones45 = {mapHex =  0x41116d55, texte = "Pforte von Rohan", lvl = "73 - 74", souCat = false},
		zones46 = {mapHex =  0x41116d55, texte = "Isental", lvl = "73", souCat = true},
		zones47 = {mapHex =  0x41116d55, texte = "Heidefall", lvl = "74", souCat = true},
		zones48 = {mapHex =  0x41119607, texte = "Nan Curun\195\173r", lvl = "72 - 75", souCat = false},
		zones49 = {mapHex =  0x4111e1c0, texte = "Der Grosse Fluss", lvl = "70 - 75", souCat = false},
		zones50 = {mapHex =  0x41129eb7, texte = "Ost-Rohan", lvl = "75 - 85", souCat = false},
		zones51 = {mapHex =  0x4112d1de, texte = "Die Steppe", lvl = "75 - 76", souCat = true},
		zones52 = {mapHex =  0x4112d1dc, texte = "Ostwall", lvl = "76 - 77", souCat = true},
		zones53 = {mapHex =  0x4112d1e0, texte = "Norhofen", lvl = "78 - 80", souCat = true},
		zones54 = {mapHex =  0x4112d1e1, texte = "Entwasser-tal", lvl = "80 - 82", souCat = true},
		zones55 = {mapHex =  0x4112d1df, texte = "Suthofen", lvl = "83 - 85", souCat = true},
		zones56 = {mapHex =  0x411375af, texte = "Wildermark", lvl = "85", souCat = true},
		zones57 = {mapHex =  0x4113C325, texte = "West-Rohan", lvl = "85 - 95", souCat = false},
		zones58 = {mapHex =  0x4113C31F, texte = "K\195\182nigsstatt", lvl = "85 - 88", souCat = true},
		zones59 = {mapHex =  0x4113C321, texte = "Ostfold", lvl = "88 - 90", souCat = true},
		zones60 = {mapHex =  0x4113C320, texte = "Weite mark", lvl = "90 - 91", souCat = true},
		zones61 = {mapHex =  0x4113C322, texte = "Felssenke", lvl = "91 - 93", souCat = true},
		zones62 = {mapHex =  0x4113C324, texte = "Westfold", lvl = "93 - 95", souCat = true},
		zones63 = {mapHex =  0x4114BEAA, texte = "Entwald", lvl = "95", souCat = true},
		zones64 = {mapHex =  0x411538df, texte = "West-Gondor", lvl = "95 - 100", souCat = false},
		zones65 = {mapHex =  0x41154eed, texte = "Schwarz-Grundtal", lvl = "95 - 97", souCat = true},
		zones66 = {mapHex =  0x41154eec, texte = "Lamedon", lvl = "97 - 98", souCat = true},
		zones67 = {mapHex =  0x41154eeb, texte = "Anfurten von Belfalas", lvl = "98 - 100", souCat = true},
		zones68 = {mapHex =  0x41158979, texte = "Die totens\195\188mpfe", lvl = "100", souCat = false},
		zones69 = {mapHex =  0x4115b943, texte = "Zentrum Gondors", lvl = "100", souCat = false},
		zones70 = {mapHex =  0x4115b93f, texte = "Ringl\195\179tal", lvl = "100", souCat = true},
		zones71 = {mapHex =  0x4115b945, texte = "Dor-en-Ernil", lvl = "100", souCat = true},
		zones72 = {mapHex =  0x4115b944, texte = "Lebennin", lvl = "100", souCat = true},
		zones73 = {mapHex =  0x4115ee35, texte = "Ost-Gondor", lvl = "100", souCat = false},
		zones74 = {mapHex =  0x4115ee38, texte = "Ober-Lebennin", lvl = "100", souCat = true},
		zones75 = {mapHex =  0x4115ee3c, texte = "Lossarnach", lvl = "100", souCat = true},
		zones76 = {mapHex =  0x4115ee3a, texte = "S\195\188d-Ithilien", lvl = "100", souCat = true},
		zones77 = {mapHex =  0x4115ee41, texte = "Osgiliath", lvl = "100", souCat = true},
		zones78 = {mapHex =  0x411656f1, texte = "Alt-An\195\179rien", lvl = "100", souCat = false},
		zones79 = {mapHex =  0x411656ee, texte = "Talath Anor", lvl = "100", souCat = true},
		zones80 = {mapHex =  0x411656f0, texte = "Pelennor", lvl = "100", souCat = true},
		zones81 = {mapHex =  0x411656ef, texte = "Minas Tirith", lvl = "100", souCat = true},
		zones82 = {mapHex =  0x4116af91, texte = "Weites An\195\179rien", lvl = "100 - 104", souCat = false},
		zones83 = {mapHex =  0x4116af90, texte = "Taur Dr\195\186adan", lvl = "101 - 102", souCat = true},
		zones84 = {mapHex =  0x4116af8b, texte = "Die Leucht-Feuerberge", lvl = "103 - 104", souCat = true},
		zones85 = {mapHex =  0x4116B18E, texte = "Battle of Pelennor Fields", lvl = "105", souCat = true},
		zones86 = {mapHex =  0x411656f1, texte = "An\195\179rien (Schlachtgezeichnet)", lvl = "105", souCat = false},
		zones87 = {mapHex =  0x4119389d, texte = "Minas Tirith (Schlachtgezeichnet)", lvl = "105", souCat = true},
		zones88 = {mapHex =  0x411a42e8, texte = "Pelennor (Schlachtgezeichnet)", lvl = "105", souCat = true},
		zones89 = {mapHex =  0x411a42e5, texte = "Osgiliath (Schlachtgezeichnet)", lvl = "105", souCat = true},
		zones90 = {mapHex =  0x411a42e7, texte = "Ithilien", lvl = "105", souCat = false},
		zones91 = {mapHex =  0x411a42e7, texte = "Nord-Ithilien", lvl = "105", souCat = true},
		zones92 = {mapHex =  0x411b84d4, texte = "Die ebene von Gorgoroth", lvl = "105 - 115", souCat = false},
		zones93 = {mapHex =  0x411b9591, texte = "Ud\195\187n", lvl = "106 -108", souCat = true},
		zones94 = {mapHex =  0x411b958d, texte = "Dor Amarth", lvl = "108 -109", souCat = true},
		zones95 = {mapHex =  0x411b958e, texte = "Lhingris", lvl = "110 - 111", souCat = true},
		zones96 = {mapHex =  0x411b9590, texte = "Talath \195\186rui", lvl = "112 - 113", souCat = true},
		zones97 = {mapHex =  0x411b958c, texte = "Agarnaith", lvl = "114 - 115", souCat = true},
		zones98 = {mapHex =  0x411c2de2, texte = "Eryn Lasgalen und das Thalland", lvl = "115", souCat = false},
		zones99 = {mapHex =  0x411c2de2, texte = "Eryn Lasgalen", lvl = "115", souCat = true},
		zones100 = {mapHex =  0x411c2de2, texte = "Das Thalland", lvl = "115", souCat = true},
		zones101 = {mapHex =  0x411CD4B8, texte = "The Dwarf-holds", lvl = "115 - 120", souCat = false},
		zones102 = {mapHex =  0x411CD4B8, texte = "The Ironfold", lvl = "115 - 117", souCat = true},
		zones103 = {mapHex =  0x411c8da9, texte = "Ered Mithrin", lvl = "117 - 120", souCat = true},
		zones104 = {mapHex =  0x411da4a0, texte = "Den T\195\164ler des Anduin", lvl = "120", souCat = false},
		zones105 = {mapHex =  0x411e9a41, texte = "Das Morgultal", lvl = "120 - 130", souCat = false},
		zones106 = {mapHex =  0x411e9a43, texte = "Belagertes Mordor", lvl = "120 - 122", souCat = true},
		zones107 = {mapHex =  0x411e9a41, texte = "Rath D\195\186ath", lvl = "123 - 124", souCat = true},
		zones108 = {mapHex =  0x411e9a41, texte = "Cirith Ungol", lvl = "125", souCat = true},
		zones109 = {mapHex =  0x411e9a42, texte = "Minas Morgul", lvl = "126 - 130", souCat = true},
		zones110 = {mapHex =  0x411ee769, texte = "Quellen des Langflut", lvl = "130", souCat = false},
		zones111 = {mapHex =  0x411fb86f, texte = "\195\164ltestental", lvl = "130", souCat = false},
		zones112 = {mapHex =  0x41008133, texte = "Ettenn\195\182den (PvMP)", lvl = "130", souCat = false},
		zones113 = {mapHex =  0x41162479, texte = "Die spaltung Osgiliaths (PvMP)", lvl = "130", souCat = false}
        };
end